ONVIF::Device::Types::ReceiverConfiguration(3)

NAME
ONVIF::Device::Types::ReceiverConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType ReceiverConfiguration from the namespace http://www.onvif.org/ver10/schema.

Describes the configuration of a receiver.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   MediaUri

•   StreamSetup

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::ReceiverConfiguration
   Mode => $some_value, # ReceiverMode
   MediaUri =>  $some_value, # anyURI
   StreamSetup =>  { # ONVIF::Device::Types::StreamSetup
     Stream => $some_value, # StreamType
     Transport =>  { # ONVIF::Device::Types::Transport
       Protocol => $some_value, # TransportProtocol
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL